<template>
  <div>
    <v-app-bar flat clipped-right clipped dense color="grey lighten-4" elevation="0" height="42px">
      <v-toolbar-items v-if="checkLength <= 0">
        <v-menu offset-y>
          <template v-slot:activator="{ on }">
            <v-btn icon v-on="on" height="40px" width="100px">
              <v-icon>mdi-plus</v-icon>
              <span>New</span>
            </v-btn>
          </template>
          <v-list width="240px" class="pa-0">
            <v-list-item v-for="(item, index) in 2" :key="index" @click="expand = !expand" dense>
              <v-divider></v-divider>
              <v-list-item-title>{{ item.text }}</v-list-item-title>
            </v-list-item>
          </v-list>
        </v-menu>
        <v-menu offset-y>
          <template v-slot:activator="{ on }">
            <v-btn v-on="on" icon height="40px" width="100px">
              <v-icon icon>mdi-upload-outline</v-icon>
              <span>Upload</span>
            </v-btn>
          </template>
          <v-list width="240px" class="pa-0">
            <v-list-item v-for="(item, index) in 2" :key="index" @click="expand = !expand" dense>
              <v-list-item-title>{{ item.text }}</v-list-item-title>
            </v-list-item>
          </v-list>
        </v-menu>
      </v-toolbar-items>
      <v-toolbar-items v-else>
        <v-btn icon height="40px" width="100px">
          <v-icon icon>mdi-content-copy</v-icon>
          <span>Copy</span>
        </v-btn>
        <v-btn icon height="40px" width="100px">
          <v-icon icon>mdi-cursor-move</v-icon>
          <span>Move</span>
        </v-btn>
        <v-btn icon height="40px" width="100px">
          <v-icon icon>mdi-delete</v-icon>
          <span>Delete</span>
        </v-btn>
      </v-toolbar-items>
      <v-spacer />
      <v-toolbar-items>
        <v-menu offset-y>
          <template v-slot:activator="{ on }">
            <v-btn icon v-on="on" height="40px" width="80px">
              <v-icon icon>mdi-sort</v-icon>Sort
            </v-btn>
          </template>
          <v-list class="pa-0">
            <v-list-item v-for="(item, index) in 2" :key="index" @click="expand = !expand" dense>
              <v-list-item-title>{{ item.text }}</v-list-item-title>
            </v-list-item>
          </v-list>
        </v-menu>
      </v-toolbar-items>
      <v-toolbar-items v-if="sortSwitch==='list'">
        <v-btn icon tile @click.stop="changeSwitch('tiles')">
          <v-icon>mdi-view-headline</v-icon>
        </v-btn>
      </v-toolbar-items>
      <v-toolbar-items v-else-if="sortSwitch==='tiles'">
        <v-btn icon tile @click.stop="changeSwitch('list')">
          <v-icon>mdi-view-grid-outline</v-icon>
        </v-btn>
      </v-toolbar-items>
      <v-toolbar-items>
        <v-btn icon tile @click.stop="setnavRight">
          <v-icon>mdi-information-outline</v-icon>
        </v-btn>
      </v-toolbar-items>
    </v-app-bar>
  </div>
</template>
<script>
import { mapGetters } from "vuex";
export default {
  data: () => ({}),
  computed: {
    ...mapGetters(["navRight", "listItemsChecked", "sortSwitch"]),
    checkLength: function() {
      return this.listItemsChecked.length;
    }
  },
  methods: {
    setnavRight: function() {
      this.$store.commit("setnavRight");
    },
    changeSwitch: function(tab) {
      this.$store.commit("sortSwitch", tab);
    }
  }
};
</script>